UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
com.latencybusters.lbm.LBM Class Reference

## Public Member Functions
| LBM () throws LBMException
void | setLogger (LBMLogging logger)

## Static Public Member Functions
static void | setLicenseFile (String licenseFile) throws LBMException
static void | setLicenseString (String licenseString) throws LBMException
static boolean | getLicenseUMMNMValid () throws LBMException
static boolean | getLicenseVDSValid () throws LBMException
static void | setConfiguration (String fileName) throws LBMException
static void | setConfigurationXml (String fileName, String applicationName) throws LBMException
static void | setConfigurationXmlString (String xmlString, String applicationName) throws LBMException
static void | setUmmInfo (LBMUMMInfo info) throws LBMException
static String | version ()
static String | legalInfo ()
static void | setDebugFilename (String filename) throws LBMException
static void | setDebugMask (long mask)
static void | lbmLogDebugMessage (long mask, String message)
static void | setUimLossRate (int rate)
static void | setLbtrmLossRate (int rate)
static void | setLbtrmSrcLossRate (int rate)
static void | setLbtruLossRate (int rate)
static void | setLbtruSrcLossRate (int rate)
static void | setDebugLogCallback (boolean enable)
static void | dumpDebugLog (String filename, boolean append) throws LBMException
static void | asyncOperationCancel (long handle) throws LBMException
static void | asyncOperationCancel (long handle, int flags) throws LBMEWouldBlockException, LBMException
static void | asyncOperationStatus (long handle) throws LBMException
static void | asyncOperationStatus (long handle, int flags) throws LBMEWouldBlockException, LBMException

## Static Public Attributes
static final int | EINVAL = 1
static final int | EWOULDBLOCK = 2
static final int | ENOMEM = 3
static final int | EOP = 4
static final int | EOS = 5
static final int | ETIMEDOUT = 6
static final int | EDAEMONCONN = 7
static final int | EUMENOREG = 8
static final int | EAPPERR = 9
static final int | ENO_QUEUE_REG = 11
static final int | ENO_STORE_REG = 12
static final int | EMSG_SELECTOR = 14
static final int | MSG_DATA = 0
static final int | MSG_EOS = 1
static final int | MSG_REQUEST = 2
static final int | MSG_RESPONSE = 3
static final int | MSG_UNRECOVERABLE_LOSS = 4
static final int | MSG_UNRECOVERABLE_LOSS_BURST = 5
static final int | MSG_NO_SOURCE_NOTIFICATION = 6
static final int | MSG_UME_REGISTRATION_ERROR = 7
static final int | MSG_UME_REGISTRATION_SUCCESS = 8
static final int | MSG_UME_REGISTRATION_CHANGE = 9
static final int | MSG_UME_REGISTRATION_SUCCESS_EX = 10
static final int | MSG_UME_REGISTRATION_COMPLETE_EX = 11
static final int | MSG_UME_DEREGISTRATION_SUCCESS_EX = 12
static final int | MSG_UME_DEREGISTRATION_COMPLETE_EX = 13
static final int | MSG_UMQ_REGISTRATION_ERROR = 16
static final int | MSG_UMQ_REGISTRATION_COMPLETE_EX = 18
static final int | MSG_UMQ_DEREGISTRATION_COMPLETE_EX = 19
static final int | MSG_BOS = 20
static final int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_ERROR = 21
static final int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX = 22
static final int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX = 23
static final int | MSG_UMQ_INDEX_ASSIGNED_EX = 24
static final int | MSG_UMQ_INDEX_RELEASED_EX = 25
static final int | MSG_HF_RESET = 27
static final int | MSG_RESERVED_1 = 28
static final int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1
static final int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_NOCACHE = 0x2
static final int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_RPP = 0x4
static final int | MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_SRC_SID = 0x8
static final int | UME_RCV_RECOVERY_INFO_EX_FLAG_SRC_SID = 0x1
static final int | MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
static final int | MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_RXREQMAX = 0x2
static final int | MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_SRC_SID = 0x4
static final int | MSG_UME_DEREGISTRATION_SUCCESS_EX_FLAG_RPP = 0x1
static final int | MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
static final int | MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_ULB = 0x2
static final int | MSG_UMQ_DEREGISTRATION_COMPLETE_EX_FLAG_ULB = 0x1
static final int | MSG_UMQ_INDEX_ASSIGNED_FLAG_ULB = 0x1
static final int | MSG_UMQ_INDEX_RELEASED_FLAG_ULB = 0x1
static final int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX_FLAG_ULB = 0x1
static final int | MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX_FLAG_ULB = 0x1
static final byte | CHAIN_ELEM_USER_DATA = 0x5
static final int | MSG_START_BATCH = 0x1
static final int | MSG_END_BATCH = 0x2
static final int | MSG_COMPLETE_BATCH = 0x3
static final int | MSG_FLUSH = 0x4
static final int | SRC_NONBLOCK = 0x8
static final int | SRC_BLOCK = 0x20
static final int | MSG_FLAG_START_BATCH = 0x1
static final int | MSG_FLAG_END_BATCH = 0x2
static final int | MSG_FLAG_HF_PASS_THROUGH = 0x4
static final int | MSG_FLAG_UME_RETRANSMIT = 0x8
static final int | MSG_FLAG_RETRANSMIT = 0x8
static final int | MSG_FLAG_IMMEDIATE = 0x10
static final int | MSG_FLAG_HF_DUPLICATE = 0x20
static final int | MSG_FLAG_UMQ_REASSIGNED = 0x40
static final int | MSG_FLAG_UMQ_RESUBMITTED = 0x80
static final int | MSG_FLAG_TOPICLESS = 0x100
static final int | MSG_FLAG_DELIVERY_LATENCY = 0x200
static final int | MSG_FLAG_HF_OPTIONAL = 0x400
static final int | MSG_FLAG_HF_32 = 0x800
static final int | MSG_FLAG_HF_64 = 0x1000
static final int | MSG_FLAG_OTR = 0x2000
static final int | MSG_FLAG_NUMBERED_CHANNEL = 0x1
static final int | MSG_PROPERTY_BOOLEAN = 0x1
static final int | MSG_PROPERTY_BYTE = 0x2
static final int | MSG_PROPERTY_SHORT = 0x3
static final int | MSG_PROPERTY_INT = 0x4
static final int | MSG_PROPERTY_LONG = 0x5
static final int | MSG_PROPERTY_FLOAT = 0x6
static final int | MSG_PROPERTY_DOUBLE = 0x7
static final int | MSG_PROPERTY_STRING = 0x8
static final int | SRC_EVENT_CONNECT = 1
static final int | SRC_EVENT_DISCONNECT = 2
static final int | SRC_EVENT_WAKEUP = 3
static final int | SRC_EVENT_WAKEUP_FLAG_NORMAL = 0x1
static final int | SRC_EVENT_WAKEUP_FLAG_MIM = 0x2
static final int | SRC_EVENT_WAKEUP_FLAG_UIM = 0x4
static final int | SRC_EVENT_WAKEUP_FLAG_REQUEST = 0x8
static final int | SRC_EVENT_WAKEUP_FLAG_RESPONSE = 0x10
static final int | SRC_EVENT_DAEMON_CONFIRM = 4
static final int | SRC_EVENT_UME_REGISTRATION_ERROR = 5
static final int | SRC_EVENT_UME_REGISTRATION_SUCCESS = 6
static final int | SRC_EVENT_UME_MESSAGE_STABLE = 7
static final int | SRC_EVENT_UME_DELIVERY_CONFIRMATION = 8
static final int | SRC_EVENT_UME_STORE_UNRESPONSIVE = 9
static final int | SRC_EVENT_UME_MESSAGE_RECLAIMED = 10
static final int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX = 11
static final int | SRC_EVENT_UME_REGISTRATION_COMPLETE_EX = 12
static final int | SRC_EVENT_UME_MESSAGE_STABLE_EX = 13
static final int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX = 14
static final int | SRC_EVENT_SEQUENCE_NUMBER_INFO = 15
static final int | SRC_EVENT_UMQ_REGISTRATION_ERROR = 16
static final int | SRC_EVENT_UMQ_MESSAGE_ID_INFO = 17
static final int | SRC_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 18
static final int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX = 19
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_ASSIGNED_EX = 20
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX = 21
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX = 22
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_COMPLETE_EX = 23
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_CONSUMED_EX = 24
static final int | SRC_EVENT_UMQ_ULB_RECEIVER_REGISTRATION_EX = 25
static final int | SRC_EVENT_UMQ_ULB_RECEIVER_DEREGISTRATION_EX = 26
static final int | SRC_EVENT_UMQ_ULB_RECEIVER_READY_EX = 27
static final int | SRC_EVENT_UMQ_ULB_RECEIVER_TIMEOUT_EX = 28
static final int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION = 29
static final int | SRC_EVENT_UME_MESSAGE_RECLAIMED_EX = 30
static final int | SRC_EVENT_UME_DEREGISTRATION_SUCCESS_EX = 31
static final int | SRC_EVENT_UME_DEREGISTRATION_COMPLETE_EX = 32
static final int | SRC_EVENT_UME_MESSAGE_NOT_STABLE = 33
static final int | SRC_EVENT_TIMESTAMP = 34
static final int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1
static final int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_NOACKS = 0x2
static final int | SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_RPP = 0x4
static final int | SRC_EVENT_UME_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
static final int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UNIQUEACKS = 0x1
static final int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UREGID = 0x2
static final int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_OOD = 0x4
static final int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_EXACK = 0x8
static final int | SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_WHOLE_MESSAGE_CONFIRMED = 0x10
static final int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE = 0x1
static final int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE = 0x2
static final int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STABLE = 0x4
static final int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STORE = 0x8
static final int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_WHOLE_MESSAGE_STABLE = 0x10
static final int | SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_USER = 0x20
static final int | SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_STORE = 0x8
static final int | SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_LOSS = 0x40
static final int | SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_TIMEOUT = 0x80
static final int | SRC_EVENT_UME_MESSAGE_RECLAIMED_EX_FLAG_FORCED = 0x1
static final int | SRC_EVENT_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
static final int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE = 0x1
static final int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE = 0x2
static final int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_STABLE = 0x4
static final int | SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_USER = 0x8
static final int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_UME = 0x1
static final int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_ULB = 0x2
static final int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_UMQ = 0x3
static final int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_STATE_OVER = 0x1
static final int | SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_STATE_UNDER = 0x2
static final int | FLIGHT_SIZE_TYPE_UME = 0x1
static final int | FLIGHT_SIZE_TYPE_ULB = 0x2
static final int | FLIGHT_SIZE_TYPE_UMQ = 0x3
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_TOTAL_LIFETIME_EXPIRED = 0x1
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_EXPLICIT = 0x2
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_DISCARD = 0x4
static final int | SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_MAX_REASSIGNS = 0x8
static final int | CONTEXT_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 0x1
static final int | CONTEXT_EVENT_UMQ_REGISTRATION_SUCCESS_EX = 0x2
static final int | CONTEXT_EVENT_UMQ_REGISTRATION_ERROR = 0x3
static final int | CONTEXT_EVENT_UMQ_INSTANCE_LIST_NOTIFICATION = 0x4
static final int | CONTEXT_EVENT_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
static final int | SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO = 0x2
static final int | SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY = 0x4
static final int | SRC_SEND_EX_FLAG_APPHDR_CHAIN = 0x8
static final int | SRC_SEND_EX_FLAG_UMQ_MESSAGE_ID_INFO = 0x10
static final int | SRC_SEND_EX_FLAG_CHANNEL = 0x20
static final int | SRC_SEND_EX_FLAG_UMQ_INDEX = 0x40
static final int | SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME = 0x80
static final int | SRC_SEND_EX_FLAG_HF_OPTIONAL = 0x100
static final int | SRC_SEND_EX_FLAG_PROPERTIES = 0x200
static final int | SRC_SEND_EX_FLAG_HF_32 = 0x400
static final int | SRC_SEND_EX_FLAG_HF_64 = 0x800
static final int | SSRC_SEND_EX_FLAG_UME_CLIENTD = 0x1
static final int | SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO = 0x2
static final int | SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY = 0x4
static final int | SSRC_SEND_EX_FLAG_CHANNEL = 0x20
static final int | SSRC_SEND_EX_FLAG_PROPERTIES = 0x200
static final int | SSRC_SEND_EX_FLAG_REBUILD_BUFFER = 0x1000
static final int | SSRC_SEND_EX_FLAG_UPDATE_CHANNEL = 0x2000
static final int | SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES = 0x4000
static final int | SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER = 0x8000
static final int | UMQ_INDEX_FLAG_NUMERIC = 0x1
static final int | SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_RR = 0x0
static final int | SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_QC = 0x1
static final int | MSG_UMQ_REASSIGN_FLAG_DISCARD = 0x1
static final int | CTX_ATTR_OP_EMBEDDED = 1
static final int | CTX_ATTR_OP_DAEMON = 2
static final int | CTX_ATTR_OP_SEQUENTIAL = 3
static final int | MSG_MAX_SOURCE_LEN = 128
static final int | MSG_MAX_TOPIC_LEN = 256
static final int | UMQ_MAX_INDEX_LEN = 216
static final int | UME_MAX_STORE_STRLEN = 24
static final int | UMQ_MAX_QUEUE_STRLEN = 256
static final int | UMQ_ULB_MAX_RECEIVER_STRLEN = 32
static final int | UMQ_MAX_TOPIC_STRLEN = 256
static final int | UMQ_MAX_APPSET_STRLEN = 256
static final long | EVENT_QUEUE_BLOCK = 0xFFFFFFFF
static final long | EVENT_QUEUE_POLL = 0x0
static final int | EVENT_QUEUE_SIZE_WARNING = 0x1
static final int | EVENT_QUEUE_DELAY_WARNING = 0x2
static final int | EVENT_QUEUE_ENQUEUE_NOTIFICATION = 0x3
static final int | LOG_EMERG = 1
static final int | LOG_ALERT = 2
static final int | LOG_CRIT = 3
static final int | LOG_ERR = 4
static final int | LOG_WARNING = 5
static final int | LOG_NOTICE = 6
static final int | LOG_INFO = 7
static final int | LOG_DEBUG = 8
static final int | TRANSPORT_STAT_TCP = 0x00
static final int | TRANSPORT_STAT_LBTRM = 0x10
static final int | TRANSPORT_STAT_LBTRU = 0x01
static final int | TRANSPORT_STAT_LBTIPC = 0x40
static final int | TRANSPORT_STAT_LBTSMX = 0x4
static final int | TRANSPORT_STAT_LBTRDMA = 0x20
static final int | TRANSPORT_STAT_BROKER = 0x80
static final int | TRANSPORT_STAT_DAEMON = 0xFF
static final int | WILDCARD_RCV_PATTERN_TYPE_PCRE = 1
static final int | WILDCARD_RCV_PATTERN_TYPE_REGEX = 2
static final int | WILDCARD_RCV_PATTERN_TYPE_APP_CB = 3
static final int | TOPIC_RES_REQUEST_ADVERTISEMENT = 4
static final int | TOPIC_RES_REQUEST_QUERY = 2
static final int | TOPIC_RES_REQUEST_WILDCARD_QUERY = 1
static final int | TOPIC_RES_REQUEST_CONTEXT_ADVERTISEMENT = 16
static final int | TOPIC_RES_REQUEST_CONTEXT_QUERY = 32
static final long | LBM_SRC_COST_FUNCTION_REJECT = 0xffffffff
static final long | LBM_UMM_INFO_FLAGS_USE_SSL = 0x1
static final long | LBM_UMM_NUM_SERVERS_MAX = 16
static final int | LBM_UME_LIVENESS_RECEIVER_UNRESPONSIVE_FLAG_TMO = 1
static final int | LBM_UME_LIVENESS_RECEIVER_UNRESPONSIVE_FLAG_EOF = 2
static final int | ASYNC_OP_TYPE_CTX_UMQ_QUEUE_TOPIC_LIST = 1
static final int | ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_LIST = 2
static final int | ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_RETRIEVE = 3
static final int | ASYNC_OP_STATUS_IN_PROGRESS = 1
static final int | ASYNC_OP_STATUS_COMPLETE = 128
static final int | ASYNC_OP_STATUS_ERROR = 129
static final int | ASYNC_OP_STATUS_CANCELED = 130
static final long | ASYNC_OP_INVALID_HANDLE = 0
static final int | ASYNC_OPERATION_CANCEL_FLAG_NONBLOCK = 0x1
static final int | ASYNC_OPERATION_STATUS_FLAG_NONBLOCK = 0x1
static final int | ASYNC_OP_INFO_FLAG_INLINE = 0x1
static final int | ASYNC_OP_INFO_FLAG_FIRST = 0x2
static final int | ASYNC_OP_INFO_FLAG_LAST = 0x4
static final int | ASYNC_OP_INFO_FLAG_ONLY = (ASYNC_OP_INFO_FLAG_FIRST | ASYNC_OP_INFO_FLAG_LAST)
static final int | UMQ_QUEUE_MSG_STATUS_UNKNOWN = 0
static final int | UMQ_QUEUE_MSG_STATUS_UNASSIGNED = 1
static final int | UMQ_QUEUE_MSG_STATUS_ASSIGNED = 2
static final int | UMQ_QUEUE_MSG_STATUS_REASSIGNING = 3
static final int | UMQ_QUEUE_MSG_STATUS_CONSUMED = 4
static final int | LBM_RESOLVER_EVENT_ADVERTISEMENT_TYPE = 0x1
static final long | LBM_RESOLVER_EVENT_FLAG_LJ = 0x1
static final long | LBM_RESOLVER_EVENT_FLAG_UME = 0x2
static final long | LBM_RESOLVER_EVENT_FLAG_UMQ = 0x4
static final long | LBM_RESOLVER_EVENT_FLAG_ULB = 0x8
static final long | LBM_RESOLVER_EVENT_FLAG_EVC = 0x10
static final int | LBM_RESOLVER_EVENT_INFO_CAPABILITY_VERSION_FLAG_UME = 0x0001
static final int | LBM_RESOLVER_EVENT_INFO_CAPABILITY_VERSION_FLAG_UMQ = 0x0002
static final long | LBM_RESOLVER_EVENT_INFO_INFO_DOMAIN_ID_PRESENT_FLAG = 0x1
static final long | LBM_RESOLVER_EVENT_INFO_INFO_SOURCE_ID_PRESENT_FLAG = 0x2
static final long | LBM_RESOLVER_EVENT_INFO_INFO_SOURCE_ID_TYPE_PRESENT_FLAG = 0x4
static final long | LBM_RESOLVER_EVENT_INFO_INFO_VERSION_PRESENT_FLAG = 0x8
static final int | LBM_NAK_CUTOFF_FLAG_DISABLE_NAKS = 0x01
static final int | LBM_NAK_CUTOFF_FLAG_ENABLE_NAKS = 0x02
static final byte | LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_APPLICATION = 0
static final byte | LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_TNWGD = 1
static final byte | LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_STORE = 2
static final int | LBM_SOURCE_NOTIFICATION_EX_INFO_FLAG_HOT_LINK = 0x2
static final int | LBM_TEXTMESSAGE = 0
static final int | LBM_BYTEMESSAGE = 1
static final int | LBM_MAPMESSAGE = 2
static final int | LBM_MESSAGE = 3
static final int | LBM_OBJECTMESSAGE = 4
static final int | LBM_STREAMMESSAGE = 5
static final String | LBM_JMSDeliveryMode = "JMSDeliveryMode"
static final String | LBM_JMSExpiration = "JMSExpiration"
static final String | LBM_JMSPriority = "JMSPriority"
static final String | LBM_JMSMessageID = "JMSMessageID"
static final String | LBM_JMSTimestamp = "JMSTimestamp"
static final String | LBM_JMSCorrelationID = "JMSCorrelationID"
static final String | LBM_JMSType = "JMSType"
static final String | LBM_JMSRedelivered = "JMSRedelivered"
static final String | LBM_LBMMessageType = "LBMMessageType"
static final String | LBM_JMSTopicType = "JMSTopicType"
static final String | LBM_JMSReplyToName = "JMSReplyToName"
static final String | LBM_JMSReplyToWildcard = "JMSReplyToWildcard"
static final String | LBM_JMSReplyToType = "JMSReplyToType"
static int | PROC_EVENT_EX_FLAG_USER_TIME = 0x0001
static int | PROC_EVENT_EX_FLAG_NO_MAIN_LOOP_MUTEX = 0x0002

## Protected Member Functions
void | finalize ()
void | log (int level, String message) throws LBMException

## Detailed Description

LBM Utility class. This class can be subclassed to override the default logging callback used by LBM or a Java logger may be passed to the setLogger() methods to direct LBM logging.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBM.LBM | ( |  | ) | throws LBMException

Instantiate LBM utility class (initializes log)

Exceptions

  LBMException | if any initialization error occurs.

## Member Function Documentation

static void com.latencybusters.lbm.LBM.asyncOperationCancel | ( | long | handle | ) | throws LBMException
| static

Cancel the asynchronous operation referred to by the given handle.

Calling this function will cause the associated asynchronous operation's async operation callback function to be called with a canceled status. If the operation could not be canceled (either it has already completed, an exception is thrown. Otherwise, the operation was found and guaranteed to have been truly canceled. It is generally not safe to call this function from within an asynchronous operation callback for the same handle that is being canceled. There is one exception: it is safe to call cancel on a handle from within the initial LBM_ASYNC_OP_STATUS_IN_PROGRESS that delivers the handle; this is in fact a reasonable way to simulate a non-blocking synchronous call.

Parameters

  handle | The handle to the asynchronous operation.

Exceptions

  LBMException | if the operation could not be canceled.

static void com.latencybusters.lbm.LBM.asyncOperationCancel | ( | long | handle,
|  | int | flags
| ) |  | throws LBMEWouldBlockException, LBMException
| static

Cancel the asynchronous operation referred to by the given handle.

Calling this function will cause the associated asynchronous operation's async operation callback function to be called with a canceled status. If the operation could not be canceled (either it has already completed, an exception is thrown. Otherwise, the operation was found and guaranteed to have been truly canceled. It is generally not safe to call this function from within an asynchronous operation callback for the same handle that is being canceled. There is one exception: it is safe to call cancel on a handle from within the initial LBM_ASYNC_OP_STATUS_IN_PROGRESS that delivers the handle; this is in fact a reasonable way to simulate a non-blocking synchronous call.

Parameters

  handle | The handle to the asynchronous operation.
  flags | Flags affecting the behavior of the cancel call; pass 0 if no flags desired.

Exceptions

  LBMEWouldBlockException | if the non-block flag was passed and the operation would block.
  LBMException | if the operation could not be canceled.

See also
  LBM::ASYNC_OPERATION_CANCEL_FLAG_NONBLOCK

static void com.latencybusters.lbm.LBM.asyncOperationStatus | ( | long | handle | ) | throws LBMException
| static

Query the status of the asynchronous operation referred to by the given handle.

Calling this function will cause the associated asynchronous operation's async operation callback function to be called with current status information. This is a merely a polling mechanism, and the information returned is guaranteed to be correct only for the duration of the async operation callback function. It may change immediately afterwards. It is not safe to (nor should it be necessary to) call this function from within an asynchronous operation callback for the same handle that status is being requested for.

Parameters

  handle | The handle to the asynchronous operation.

Exceptions

  LBMException | if the operation could not be found.

static void com.latencybusters.lbm.LBM.asyncOperationStatus | ( | long | handle,
|  | int | flags
| ) |  | throws LBMEWouldBlockException, LBMException
| static

Query the status of the asynchronous operation referred to by the given handle.

Calling this function will cause the associated asynchronous operation's async operation callback function to be called with current status information. This is a merely a polling mechanism, and the information returned is guaranteed to be correct only for the duration of the async operation callback function. It may change immediately afterwards. It is not safe to (nor should it be necessary to) call this function from within an asynchronous operation callback for the same handle that status is being requested for.

Parameters

  handle | The handle to the asynchronous operation.
  flags | Flags affecting the behavior of the status call; pass 0 if no flags desired.

Exceptions

  LBMEWouldBlockException | if the non-block flag was passed and the operation would block.
  LBMException | if the operation could not be found.

See also
  LBM::ASYNC_OPERATION_STATUS_FLAG_NONBLOCK

static void com.latencybusters.lbm.LBM.dumpDebugLog | ( | String | filename,
|  | boolean | append
| ) |  | throws LBMException
| static

Dump the in-memory LBM debug log to a specified file.

Parameters

  filename | Name of the file to dump debug log events to.
  append | Set to true to append the debug log to the file; otherwise, the file is overwritten.

void com.latencybusters.lbm.LBM.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

static boolean com.latencybusters.lbm.LBM.getLicenseUMMNMValid | ( |  | ) | throws LBMException
| static

Determines whether UMMNM is licensed for use.

Returns
  true if licensed

Exceptions

  LBMException | if `licenseString` doesn't contain a valid LBM license.

static boolean com.latencybusters.lbm.LBM.getLicenseVDSValid | ( |  | ) | throws LBMException
| static

Determines whether VDS is licensed for use.

Returns
  true if licensed

Exceptions

  LBMException | if `licenseString` doesn't contain a valid LBM license.

static void com.latencybusters.lbm.LBM.lbmLogDebugMessage | ( | long | mask,
|  | String | message
| ) |  |
| static

Write debug message to debug file. This method is for internal use only.

Parameters

  mask | The mask used for debugging purposes.
  message | The debug message to write.

static String com.latencybusters.lbm.LBM.legalInfo | ( |  | ) |
| static

Get LBM legal information.

Returns
  LBM legalInfo

void com.latencybusters.lbm.LBM.log | ( | int | level,
|  | String | message
| ) |  | throws LBMException
| protected

/** Logging callback. This method may be overridden by a subclass or the logging maybe handled by a specify logging interface.

Parameters

  level | Log level of message
  message | Log message

Exceptions

  LBMException | When an error occurs while calling the log callback

See also
  setLogger(LBMLogging)

static void com.latencybusters.lbm.LBM.setConfiguration | ( | String | fileName | ) | throws LBMException
| static

Configure LBM attributes from a file, tftp or http URL.

Parameters

  fileName | String containing a file name or URL (tftp or http). File names ending with a ".xml" extension will be processed by the setConfigurationXml API with a null applicationName.

Exceptions

  LBMException | if `fileName` contains an invalid filename, doesn't exist, or doesn't contain a valid LBM configuration file.

static void com.latencybusters.lbm.LBM.setConfigurationXml | ( | String | fileName,
|  | String | applicationName
| ) |  | throws LBMException
| static

Configure LBM attributes from a file, tftp or http URL.

Parameters

  fileName | String containing the path or URL (tftp or http) to the XML configuraton file.
  applicationName | String containing the name of this applicaiton which must match an application tag in the XML configuration file. This parameter may be null, in which case the application tag with no name is matched.

Exceptions

  LBMException | if `fileName` contains an invalid filename, doesn't exist, doesn't contain a valid LBM XML configuration file, or LBM XML configuration has already been loaded.

static void com.latencybusters.lbm.LBM.setConfigurationXmlString | ( | String | xmlString,
|  | String | applicationName
| ) |  | throws LBMException
| static

Configure LBM attributes from a String

Parameters

  xmlString | String containing LBM XML configuration data.
  applicationName | String containing the name of this applicaiton which must match an application tag in the XML configuration string. This parameter may be null, in which case the application tag with no name is matched.

Exceptions

  LBMException | if `xmlString` is empty, doesn't exist, doesn't contain valid LBM XML configuration data, or LBM XML configuration has already been loaded.

static void com.latencybusters.lbm.LBM.setDebugFilename | ( | String | filename | ) | throws LBMException
| static

Set the LBM debug filename.

Parameters

  filename | The name of the file to be written with debug data.

Exceptions

  LBMException | if out of memory.

static void com.latencybusters.lbm.LBM.setDebugLogCallback | ( | boolean | enable | ) |
| static

Enable logging of debug messages to the application logging callback set by LBM.setLogger(). By default, if lbm debug logging is enabled it is sent to the filename specified by setDebugFilename(), or stderr. Calling setDebugLogCallback() with a value of true will redirect debug logging to the application logger set by setLogger(), or stderr if no logger is set.

Parameters

  enable | true enables, false disables.

static void com.latencybusters.lbm.LBM.setDebugMask | ( | long | mask | ) |
| static

Set the LBM debug mask, as suggested by the support team.

Parameters

  mask | The mask used for debugging purposes.

static void com.latencybusters.lbm.LBM.setLbtrmLossRate | ( | int | rate | ) |
| static

Set the LBTRM receiver-side loss rate.

Parameters

  rate | The percentage (0-100) loss to be simulated.

static void com.latencybusters.lbm.LBM.setLbtrmSrcLossRate | ( | int | rate | ) |
| static

Set the LBTRM source-side loss rate.

Parameters

  rate | The percentage (0-100) loss to be simulated.

static void com.latencybusters.lbm.LBM.setLbtruLossRate | ( | int | rate | ) |
| static

Set the LBTRU receiver-side loss rate.

Parameters

  rate | The percentage (0-100) loss to be simulated.

static void com.latencybusters.lbm.LBM.setLbtruSrcLossRate | ( | int | rate | ) |
| static

Set the LBTRU source-side loss rate.

Parameters

  rate | The percentage (0-100) loss to be simulated.

static void com.latencybusters.lbm.LBM.setLicenseFile | ( | String | licenseFile | ) | throws LBMException
| static

Initialize the LBM license from the contents of a disk file. This method will only be effective if it is called before any other LBM API method.

Parameters

  licenseFile | String containing the name of a file that contains the LBM license. This string is the same as that which would otherwise be specified as the value of the LBM_LICENSE_FILENAME environmental variable.

Exceptions

  LBMException | if `licenseFile` doesn't contain a valid filename, doesn't exist, or contains an invalid LBM license.

static void com.latencybusters.lbm.LBM.setLicenseString | ( | String | licenseString | ) | throws LBMException
| static

Initialize the LBM license from a string. This method will only be effective if it is called before any other LBM API method.

Parameters

  licenseString | String containing LBM license. This string is the same as that which would otherwise be specified as the value of the LBM_LICENSE_INFO environmental variable.

Exceptions

  LBMException | if `licenseString` doesn't contain a valid LBM license.

void com.latencybusters.lbm.LBM.setLogger | ( | LBMLogging | logger | ) |

Inform LBM to use a specific logger for logging

Parameters

  logger | Logging object implementing the LBMLogging interface

static void com.latencybusters.lbm.LBM.setUimLossRate | ( | int | rate | ) |
| static

Set the UIM receiver-side loss rate.

Parameters

  rate | The percentage (0-100) loss to be simulated.

static void com.latencybusters.lbm.LBM.setUmmInfo | ( | LBMUMMInfo | info | ) | throws LBMException
| static

Connect to and retrieve configuration from a UMM daemon. This method will only be effective if it is called before any other LBM API method.

Parameters

  info | UMM daemon connection options

Exceptions

  LBMException | if UMM info has already been loaded, or if some other error was encountered.

static String com.latencybusters.lbm.LBM.version | ( |  | ) |
| static

Get LBM version information.

Returns
  LBM version

## Member Data Documentation

final int com.latencybusters.lbm.LBM.ASYNC_OP_INFO_FLAG_FIRST = 0x2
| static

Asynchronous operation info flag. This is the very first notification for this particular asynchronous operation.

final int com.latencybusters.lbm.LBM.ASYNC_OP_INFO_FLAG_INLINE = 0x1
| static

Asynchronous operation info flag. Asynchronous operation callback is being called directly inline from within an API call.

final int com.latencybusters.lbm.LBM.ASYNC_OP_INFO_FLAG_LAST = 0x4
| static

Asynchronous operation info status flag. This is the very last notification for this particular asynchronous operation.

final int com.latencybusters.lbm.LBM.ASYNC_OP_INFO_FLAG_ONLY = (ASYNC_OP_INFO_FLAG_FIRST | ASYNC_OP_INFO_FLAG_LAST)
| static

Asynchronous operation info flag. This is the only notification that will be delivered for this particular asynchronous operation.

final long com.latencybusters.lbm.LBM.ASYNC_OP_INVALID_HANDLE = 0
| static

Invalid asynchronous operation handle.

final int com.latencybusters.lbm.LBM.ASYNC_OP_STATUS_CANCELED = 130
| static

Asynchronous operation status code. Overall operation has been successfully canceled. This is a terminal status code.

final int com.latencybusters.lbm.LBM.ASYNC_OP_STATUS_COMPLETE = 128
| static

Asynchronous operation status code. Overall operation has completed successfully. This is a terminal status code.

final int com.latencybusters.lbm.LBM.ASYNC_OP_STATUS_ERROR = 129
| static

Asynchronous operation status code. Overall operation has failed. This is a terminal status code.

final int com.latencybusters.lbm.LBM.ASYNC_OP_STATUS_IN_PROGRESS = 1
| static

Asynchronous operation status code. Overall operation is still in progress.

final int com.latencybusters.lbm.LBM.ASYNC_OP_TYPE_CTX_UMQ_QUEUE_TOPIC_LIST = 1
| static

Asynchronous operation type. UMQ queue topic list.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.contextQueueTopicListInfo().

final int com.latencybusters.lbm.LBM.ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_LIST = 2
| static

Asynchronous operation type. UMQ queue message list.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageListInfo().

final int com.latencybusters.lbm.LBM.ASYNC_OP_TYPE_RCV_UMQ_QUEUE_MSG_RETRIEVE = 3
| static

Asynchronous operation type. UMQ queue message retrieve.

Referenced by com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo().

final int com.latencybusters.lbm.LBM.ASYNC_OPERATION_CANCEL_FLAG_NONBLOCK = 0x1
| static

Asynchronous operation cancel flag. Do not block if the operation cannot be immediately canceled.

final int com.latencybusters.lbm.LBM.ASYNC_OPERATION_STATUS_FLAG_NONBLOCK = 0x1
| static

Asynchronous operation status flag. Do not block if the operation's status cannot be retrieved immediately.

final byte com.latencybusters.lbm.LBM.CHAIN_ELEM_USER_DATA = 0x5
| static

Application header type representing user data.

Since
  UMQ 1.1

Referenced by com.latencybusters.lbm.LBMApplicationHeaderChainElement.setType().

final int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_INSTANCE_LIST_NOTIFICATION = 0x4
| static

Indicates that the queue instance list has changed.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 0x1
| static

Indicates context registration is complete.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| static

Flag indicating that registration completed with only quorum reached.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_REGISTRATION_ERROR = 0x3
| static

Indicates context registration failed with an error.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.CONTEXT_EVENT_UMQ_REGISTRATION_SUCCESS_EX = 0x2
| static

Indicates context registration with a single queue instance was successful.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.CTX_ATTR_OP_DAEMON = 2
| static

Context operational mode: Daemon

final int com.latencybusters.lbm.LBM.CTX_ATTR_OP_EMBEDDED = 1
| static

Context operational mode: Embedded

final int com.latencybusters.lbm.LBM.CTX_ATTR_OP_SEQUENTIAL = 3
| static

Context operational mode: Sequential

final int com.latencybusters.lbm.LBM.EAPPERR = 9
| static

LBM error: Application Error .

Referenced by com.latencybusters.lbm.LBMApplicationException.LBMApplicationException().

final int com.latencybusters.lbm.LBM.EDAEMONCONN = 7
| static

LBM error: LBM daemon connection not connected.

final int com.latencybusters.lbm.LBM.EINVAL = 1
| static

LBM error: An invalid argument was passed.

Referenced by com.latencybusters.lbm.LBMMessage.extractUMEAck(), com.latencybusters.lbm.LBMMessage.getSerializedResponse(), com.latencybusters.lbm.LBMMessage.hrTimestampNanoseconds(), com.latencybusters.lbm.LBMHotFailoverReceiver.LBMHotFailoverReceiver(), com.latencybusters.lbm.LBMHotFailoverSource.LBMHotFailoverSource(), com.latencybusters.lbm.LBMReceiver.LBMReceiver(), com.latencybusters.lbm.LBMSource.LBMSource(), com.latencybusters.lbm.LBMSSource.LBMSSource(), com.latencybusters.lbm.LBMStatistics.LBMStatistics(), com.latencybusters.lbm.LBMContext.processEvents(), com.latencybusters.lbm.LBMMessage.respond(), and com.latencybusters.lbm.LBMContext.respond().

final int com.latencybusters.lbm.LBM.EMSG_SELECTOR = 14
| static

LBM error: Error parsing message selector.

final int com.latencybusters.lbm.LBM.ENO_QUEUE_REG = 11
| static

LBM error: The store is not fully registered.

final int com.latencybusters.lbm.LBM.ENO_STORE_REG = 12
| static

LBM error: The queue is not fully registered.

final int com.latencybusters.lbm.LBM.ENOMEM = 3
| static

LBM error: Operation could not be completed due to memory allocation error.

final int com.latencybusters.lbm.LBM.EOP = 4
| static

LBM error: Operation was invalid due to error in internal processing.

Referenced by com.latencybusters.lbm.LBMException.LBMException(), and com.latencybusters.lbm.LBMRuntimeException.LBMRuntimeException().

final int com.latencybusters.lbm.LBM.EOS = 5
| static

LBM error: Operation failed due to unrecoverable OS system call error.

Referenced by com.latencybusters.lbm.LBMSSource.buffPut(), com.latencybusters.lbm.LBMSource.messageBuffersCancel(), com.latencybusters.lbm.LBMAsyncOperationInfo.receiverQueueMessageRetrieveInfo(), and com.latencybusters.lbm.LBMContext.requestTopicResolution().

final int com.latencybusters.lbm.LBM.ETIMEDOUT = 6
| static

LBM error: Operation timed out waiting to complete.

final int com.latencybusters.lbm.LBM.EUMENOREG = 8
| static

LBM error: UME registration not completed.

final long com.latencybusters.lbm.LBM.EVENT_QUEUE_BLOCK = 0xFFFFFFFF
| static

Infinite blocking time for running event queue

Referenced by com.latencybusters.lbm.LBMEventQueue.run().

final int com.latencybusters.lbm.LBM.EVENT_QUEUE_DELAY_WARNING = 0x2
| static

Event queue monitor event type: Warning of excessive delay for event.

final int com.latencybusters.lbm.LBM.EVENT_QUEUE_ENQUEUE_NOTIFICATION = 0x3
| static

Event queue monitor event type: Notification of something being added to queue.

final long com.latencybusters.lbm.LBM.EVENT_QUEUE_POLL = 0x0
| static

Poll and dispatch a single event when running the event queue

final int com.latencybusters.lbm.LBM.EVENT_QUEUE_SIZE_WARNING = 0x1
| static

Event queue monitor event type: Warning of event queue size.

final int com.latencybusters.lbm.LBM.EWOULDBLOCK = 2
| static

LBM error: Function would block, but object is set to be nonblocking.

final int com.latencybusters.lbm.LBM.FLIGHT_SIZE_TYPE_ULB = 0x2
| static

Specify a ULB flight size

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.FLIGHT_SIZE_TYPE_UME = 0x1
| static

Specify a UME flight size

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.FLIGHT_SIZE_TYPE_UMQ = 0x3
| static

Specify a UMQ flight size

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.LBM_NAK_CUTOFF_FLAG_DISABLE_NAKS = 0x01
| static

Bit flag to disable the sending of naks for the context

final int com.latencybusters.lbm.LBM.LBM_NAK_CUTOFF_FLAG_ENABLE_NAKS = 0x02
| static

Bit flag to enable the sending of naks for the context

final int com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_ADVERTISEMENT_TYPE = 0x1
| static

Resolver Event Advertisement Type

Referenced by com.latencybusters.lbm.LBMContext.requestTopicResolution().

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_FLAG_EVC = 0x10
| static

LBMR is an eviction notice

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_FLAG_LJ = 0x1
| static

Source is Late Join Capable

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_FLAG_ULB = 0x8
| static

Source is a ULB type

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_FLAG_UME = 0x2
| static

Source is UME Capable

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_FLAG_UMQ = 0x4
| static

Source is UMQ Capable

final int com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_INFO_CAPABILITY_VERSION_FLAG_UME = 0x0001
| static

UME Flag present is version field

final int com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_INFO_CAPABILITY_VERSION_FLAG_UMQ = 0x0002
| static

UMQ Flag present is version field

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_INFO_INFO_DOMAIN_ID_PRESENT_FLAG = 0x1
| static

Domain ID Present in the resolver event info field

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_INFO_INFO_SOURCE_ID_PRESENT_FLAG = 0x2
| static

Source ID Present in the resolver event info field

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_INFO_INFO_SOURCE_ID_TYPE_PRESENT_FLAG = 0x4
| static

Source ID Type Present in the resolver event info field

final long com.latencybusters.lbm.LBM.LBM_RESOLVER_EVENT_INFO_INFO_VERSION_PRESENT_FLAG = 0x8
| static

Version is Present in the resolver event info field

final int com.latencybusters.lbm.LBM.LBM_SOURCE_NOTIFICATION_EX_INFO_FLAG_HOT_LINK = 0x2
| static

For Extended Source Notification Functions. Indicates that the delivery controller being created or deleted has the config option use_hotlink (receiver) set to 1. (It does not imply that publisher's source had hot links enabled.)

Referenced by com.latencybusters.lbm.LBMSourceCreateExInfo.isHotlink(), and com.latencybusters.lbm.LBMSourceDeleteExInfo.isHotlink().

final long com.latencybusters.lbm.LBM.LBM_SRC_COST_FUNCTION_REJECT = 0xffffffff
| static

Source cost function return value to indicate this source should be permanently rejected.

final int com.latencybusters.lbm.LBM.LBM_UME_LIVENESS_RECEIVER_UNRESPONSIVE_FLAG_EOF = 2
| static

UME Receiver Liveness Deletion EOF

final int com.latencybusters.lbm.LBM.LBM_UME_LIVENESS_RECEIVER_UNRESPONSIVE_FLAG_TMO = 1
| static

UME Receiver Liveness Deletion TIMEOUT

final long com.latencybusters.lbm.LBM.LBM_UMM_INFO_FLAGS_USE_SSL = 0x1
| static

Use SSL for all umm connections

See also
  LBMUMMInfo::LBMUMMInfo(String, String, String, String[])

Since
  UMS 5.2

final long com.latencybusters.lbm.LBM.LBM_UMM_NUM_SERVERS_MAX = 16
| static

Max allowed number of failover UMM Daemons

Since
  UMS 5.2

Referenced by com.latencybusters.lbm.LBMUMMInfo.LBMUMMInfo().

final byte com.latencybusters.lbm.LBM.LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_APPLICATION = 0
| static

For UMS application

final byte com.latencybusters.lbm.LBM.LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_STORE = 2
| static

For Store Daemon

final byte com.latencybusters.lbm.LBM.LBMR_RESOLVER_EVENT_INFO_SRC_TYPE_TNWGD = 1
| static

For Gateway Daemon

final int com.latencybusters.lbm.LBM.LOG_ALERT = 2
| static

Logging level: Alert

final int com.latencybusters.lbm.LBM.LOG_CRIT = 3
| static

Logging level: Critical

final int com.latencybusters.lbm.LBM.LOG_DEBUG = 8
| static

Logging level: Debug

final int com.latencybusters.lbm.LBM.LOG_EMERG = 1
| static

Logging level: Emergency

final int com.latencybusters.lbm.LBM.LOG_ERR = 4
| static

Logging level: Error

final int com.latencybusters.lbm.LBM.LOG_INFO = 7
| static

Logging level: Informational

final int com.latencybusters.lbm.LBM.LOG_NOTICE = 6
| static

Logging level: Notice

final int com.latencybusters.lbm.LBM.LOG_WARNING = 5
| static

Logging level: Warning

Referenced by com.latencybusters.lbm.LBMContext.allocTopic(), and com.latencybusters.lbm.LBMHFX.createReceiver().

final int com.latencybusters.lbm.LBM.MSG_BOS = 20
| static

LBM message type: Beginning of Transport Session from source.

final int com.latencybusters.lbm.LBM.MSG_COMPLETE_BATCH = 0x3
| static

Sending/receiving flag: Message is complete batch (Batch should be sent ASAP)

final int com.latencybusters.lbm.LBM.MSG_DATA = 0
| static

LBM message type: Data message. Data is valid.

Referenced by com.latencybusters.lbm.LBMMessage.dataBuffer(), and com.latencybusters.lbm.LBMMessage.getMessagesBuffer().

final int com.latencybusters.lbm.LBM.MSG_END_BATCH = 0x2
| static

Sending/receiving flag: End batch (Batch should be sent ASAP)

final int com.latencybusters.lbm.LBM.MSG_EOS = 1
| static

LBM message type: End of Transport Session from source.

final int com.latencybusters.lbm.LBM.MSG_FLAG_END_BATCH = 0x2
| static

Receiving flag: End batch

final int com.latencybusters.lbm.LBM.MSG_FLAG_HF_32 = 0x800
| static

Receiving flag: The message contains a 32 bit hot failover sequence number

Referenced by com.latencybusters.lbm.LBMMessage.hfSequenceNumber().

final int com.latencybusters.lbm.LBM.MSG_FLAG_HF_64 = 0x1000
| static

Receiving flag: The message contains a 64 bit hot failover sequence number.

Referenced by com.latencybusters.lbm.LBMMessage.hfSequenceNumber().

final int com.latencybusters.lbm.LBM.MSG_FLAG_HF_DUPLICATE = 0x20
| static

Receiving flag: Hot failover duplicate message

final int com.latencybusters.lbm.LBM.MSG_FLAG_HF_OPTIONAL = 0x400
| static

Receiving flag: Hot Failover optional message

final int com.latencybusters.lbm.LBM.MSG_FLAG_HF_PASS_THROUGH = 0x4
| static

Receiving flag: Non-HF message

final int com.latencybusters.lbm.LBM.MSG_FLAG_IMMEDIATE = 0x10
| static

Receiving flag: Immediate message

final int com.latencybusters.lbm.LBM.MSG_FLAG_NUMBERED_CHANNEL = 0x1
| static

Channel flag: Numbered channel message

final int com.latencybusters.lbm.LBM.MSG_FLAG_OTR = 0x2000
| static

Receiving flag: The message was recovered via OTR

final int com.latencybusters.lbm.LBM.MSG_FLAG_RETRANSMIT = 0x8
| static

Receiving flag: Retransmitted message

final int com.latencybusters.lbm.LBM.MSG_FLAG_START_BATCH = 0x1
| static

Receiving flag: Start batch

final int com.latencybusters.lbm.LBM.MSG_FLAG_TOPICLESS = 0x100
| static

Receiving flag; Message has no topic.

final int com.latencybusters.lbm.LBM.MSG_FLAG_UME_RETRANSMIT = 0x8
| static

Receiving flag: Retransmitted message

final int com.latencybusters.lbm.LBM.MSG_FLAG_UMQ_REASSIGNED = 0x40
| static

Receiving flag: Reassigned UMQ message

final int com.latencybusters.lbm.LBM.MSG_FLAG_UMQ_RESUBMITTED = 0x80
| static

Receiving flag; Resubmitted UMQ message

final int com.latencybusters.lbm.LBM.MSG_FLUSH = 0x4
| static

Sending flag: Flush messages. Message is to be sent ASAP (not implicitly or explicitly batched). This also flushes waiting messages that were explicitly or implicitly batched

final int com.latencybusters.lbm.LBM.MSG_HF_RESET = 27
| static

LBM message type: Hot failover notification that the expected sequence number has been reset via a source send reset.

See also
  LBMMessage::hfSequenceNumber()
  LBM::MSG_FLAG_HF_32
  LBM::MSG_FLAG_HF_64

final int com.latencybusters.lbm.LBM.MSG_MAX_SOURCE_LEN = 128
| static

Maximum source name length

final int com.latencybusters.lbm.LBM.MSG_MAX_TOPIC_LEN = 256
| static

Maximum topic name length

final int com.latencybusters.lbm.LBM.MSG_NO_SOURCE_NOTIFICATION = 6
| static

Notification that no source has been found for topic. Still querying for topic source.

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_BOOLEAN = 0x1
| static

Message property type: boolean

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_BYTE = 0x2
| static

Message property type: byte

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_DOUBLE = 0x7
| static

Message property type: double

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_FLOAT = 0x6
| static

Message property type: float

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_INT = 0x4
| static

Message property type: int

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_LONG = 0x5
| static

Message property type: long

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_SHORT = 0x3
| static

Message property type: short

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_PROPERTY_STRING = 0x8
| static

Message property type: string

Referenced by com.latencybusters.lbm.LBMMessageProperty.getBoolean(), com.latencybusters.lbm.LBMMessageProperty.getByte(), com.latencybusters.lbm.LBMMessageProperty.getDouble(), com.latencybusters.lbm.LBMMessageProperty.getFloat(), com.latencybusters.lbm.LBMMessageProperty.getInteger(), com.latencybusters.lbm.LBMMessageProperty.getLong(), com.latencybusters.lbm.LBMMessageProperty.getObject(), com.latencybusters.lbm.LBMMessageProperty.getShort(), com.latencybusters.lbm.LBMMessageProperty.getString(), and com.latencybusters.lbm.LBMMessageProperties.LBMMessageProperties().

final int com.latencybusters.lbm.LBM.MSG_REQUEST = 2
| static

LBM message type: Request message from source.

Referenced by com.latencybusters.lbm.LBMMessage.respond().

final int com.latencybusters.lbm.LBM.MSG_RESERVED_1 = 28
| static

LBM message type: Reserved for internal use.

final int com.latencybusters.lbm.LBM.MSG_RESPONSE = 3
| static

LBM message type: Response message from requestee.

final int com.latencybusters.lbm.LBM.MSG_START_BATCH = 0x1
| static

Sending/receiving flag: Start batch

final int com.latencybusters.lbm.LBM.MSG_UME_DEREGISTRATION_COMPLETE_EX = 13
| static

UME receiver notification of deregistration completion. Deregistration completion info (in the form of a UMEDeregistrationCompleteInfo object) can be retrieved with the LBMMessage#deregistrationCompleteInfo() method.

See also
  UMEDeregistrationCompleteInfo
  LBMMessage::deregistrationCompleteInfo()

Since
  UME 5.3

final int com.latencybusters.lbm.LBM.MSG_UME_DEREGISTRATION_SUCCESS_EX = 12
| static

UME receiver deregistration successful (extended version). Deregistration info (in the form of a UMEDeregistrationSuccessInfo object) can be retrieved with the LBMMessage#deregistrationSuccessInfo() method.

See also
  UMEDeregistrationSuccessInfo
  LBMMessage::deregistrationSuccessInfo()

Since
  UME 5.3

final int com.latencybusters.lbm.LBM.MSG_UME_DEREGISTRATION_SUCCESS_EX_FLAG_RPP = 0x1
| static

Deregistration was flagged as coming from a RPP store

See also
  UMEDeregistrationCompleteInfo::flags()

Since
  UME 5.3

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_CHANGE = 9
| static

UME receiver notification of source registration change. Data holds info message.

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_COMPLETE_EX = 11
| static

UME receiver notification of registration completion. Registration completion info (in the form of a UMERegistrationCompleteInfo object) can be retrieved with the LBMMessage#registrationCompleteInfo() method.

See also
  UMERegistrationCompleteInfo
  LBMMessage::registrationCompleteInfo()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| static

Registration completed with only quorum reached. Flag for UME receiver registration complete messages.

See also
  LBM::MSG_UME_REGISTRATION_COMPLETE_EX
  UMERegistrationCompleteInfo::flags()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_RXREQMAX = 0x2
| static

Registration completed with RX REQ maximum used.

See also
  LBM::MSG_UME_REGISTRATION_COMPLETE_EX
  UMERegistrationCompleteInfo::flags()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_COMPLETE_EX_FLAG_SRC_SID = 0x4
| static

The source session ID field of the UME registration complete info object is valid.

See also
  UMERegistrationCompleteInfo::flags()

Since
  UMP 6.7

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_ERROR = 7
| static

UME receiver registration encountered an error. Data holds error message.

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS = 8
| static

UME receiver registration successful.

See also
  LBMMessage::sourceRegistrationId
  LBMMessage::receiverRegistrationId

Referenced by com.latencybusters.lbm.LBMMessage.receiverRegistrationId(), and com.latencybusters.lbm.LBMMessage.sourceRegistrationId().

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS_EX = 10
| static

UME receiver registration successful (extended version). Registration info (in the form of a UMERegistrationSuccessInfo object) can be retrieved with the LBMMessage#registrationSuccessInfo() method.

See also
  UMERegistrationSuccessInfo
  LBMMessage::registrationSuccessInfo()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_NOCACHE = 0x2
| static

Registration was flagged as coming from a store that is configured to not cache data. This flag may be set in an extended UME registration success message.

See also
  LBM::MSG_UME_REGISTRATION_SUCCESS_EX
  UMERegistrationSuccessInfo::flags()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1
| static

Registration was flagged as an old receiver by the store. An old receiver is one the store had cached. This flag may be set in an extended UME registration success message.

See also
  LBM::MSG_UME_REGISTRATION_SUCCESS_EX
  UMERegistrationSuccessInfo::flags()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_RPP = 0x4
| static

Registration was flagged as coming from a store that has allowed a RPP receiver.. Flag for UME receiver registration complete messages.

See also
  LBM::MSG_UME_REGISTRATION_COMPLETE_EX
  UMERegistrationSuccessInfo::flags()

Since
  UME 5.3

final int com.latencybusters.lbm.LBM.MSG_UME_REGISTRATION_SUCCESS_EX_FLAG_SRC_SID = 0x8
| static

The source session ID field in the registration success info object is valid.

See also
  UMERegistrationSuccessInfo::flags()

Since
  UMP 6.7

final int com.latencybusters.lbm.LBM.MSG_UMQ_DEREGISTRATION_COMPLETE_EX = 19
| static

UMQ receiver notification of deregistration completion. Deregistration completion info (in the form of a UMQDeregistrationCompleteInfo object) can be retrieved with the LBMMessage#queueDeregistrationCompleteInfo() method.

See also
  UMQDeregistrationCompleteInfo
  LBMMessage::queueDeregistrationCompleteInfo()

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.MSG_UMQ_DEREGISTRATION_COMPLETE_EX_FLAG_ULB = 0x1
| static

Deregistration completed with ULB source. Flag for UMQ receiver registration complete messages.

See also
  LBM::MSG_UMQ_DEREGISTRATION_COMPLETE_EX
  UMQDeregistrationCompleteInfo::flags()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNED_EX = 24
| static

LBM message type: UMQ receiver notification of assignment of a particular index from a particular queue or ULB source. Index assignment info (in the form of a UMQIndexAssignedInfo object) can be retrieved with the LBMMessage#queueIndexAssignedInfo() method.

See also
  UMQIndexAssignedInfo
  LBMMessage::queueIndexAssignedInfo

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNED_FLAG_ULB = 0x1
| static

Index assignment was from a ULB source. Flag for UMQ receiver index assignment messages.

See also
  LBM::MSG_UMQ_INDEX_ASSIGNED_EX
  UMQIndexAssignedInfo::flags()

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_ERROR = 21
| static

LBM message type: UMQ receiver index assignment eligibility start/stop encountered an error. Data holds error message.

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX = 22
| static

LBM message type: UMQ receiver notification of beginning of index assignment eligibility. Index assignment eligibility start completion info (in the form of a UMQIndexAssignmentEligibilityStartCompleteInfo object) can be retrieved with the LBMMessage#queueIndexAssignmentEligibilityStartCompleteInfo() method.

See also
  UMQIndexAssignmentEligibilityStartCompleteInfo
  LBMMessage::queueIndexAssignmentEligibilityStartCompleteInfo()

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX_FLAG_ULB = 0x1
| static

Index assignment eligibility start completed at a ULB source. Flag for UMQ receiver index assignment eligibility start complete messages.

See also
  LBM::MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_START_COMPLETE_EX
  UMQIndexAssignmentEligibilityStartCompleteInfo::flags()

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX = 23
| static

LBM message type: UMQ receiver notification of end of index assignment eligibility. Index assignment eligibility stop completion info (in the form of a UMQIndexAssignmentEligibilityStopCompleteInfo object) can be retrieved with the LBMMessage#queueIndexAssignmentEligibilityStopCompleteInfo() method.

See also
  UMQIndexAssignmentEligibilityStopCompleteInfo
  LBMMessage::queueIndexAssignmentEligibilityStopCompleteInfo()

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX_FLAG_ULB = 0x1
| static

Index assignment eligibility stop completed at a ULB source. Flag for UMQ receiver index assignment eligibility stop complete messages.

See also
  LBM::MSG_UMQ_INDEX_ASSIGNMENT_ELIGIBILITY_STOP_COMPLETE_EX
  UMQIndexAssignmentEligibilityStopCompleteInfo::flags()

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_RELEASED_EX = 25
| static

LBM message type: UMQ receiver notification of end of assignment of a particular index from a particular queue or ULB source. Index assignment info (in the form of a UMQIndexReleasedInfo object) can be retrieved with the LBMMessage#queueIndexReleasedInfo() method.

See also
  UMQIndexReleasedInfo
  LBMMessage::queueIndexReleasedInfo()

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_INDEX_RELEASED_FLAG_ULB = 0x1
| static

Index released from a ULB source. Flag for UMQ receiver index released messages.

See also
  LBM::MSG_UMQ_INDEX_RELEASED_EX
  UMQIndexReleasedInfo::flags()

Since
  UMQ 1.2

final int com.latencybusters.lbm.LBM.MSG_UMQ_REASSIGN_FLAG_DISCARD = 0x1
| static

Instead of requesting reassignment, request the message be discarded.

Since
  UMQ 2.2

See also
  LBMMessage::reassign()

final int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX = 18
| static

UMQ receiver notification of registration completion. Registration completion info (in the form of a UMQRegistrationCompleteInfo object) can be retrieved with the LBMMessage#queueRegistrationCompleteInfo() method.

See also
  UMQRegistrationCompleteInfo
  LBMMessage::queueRegistrationCompleteInfo()

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| static

Registration completed with only quorum reached. Flag for UMQ receiver registration complete messages.

See also
  LBM::MSG_UMQ_REGISTRATION_COMPLETE_EX
  UMQRegistrationCompleteInfo::flags()

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_COMPLETE_EX_FLAG_ULB = 0x2
| static

Registration completed with ULB source. Flag for UMQ receiver registration complete messages.

See also
  LBM::MSG_UMQ_REGISTRATION_COMPLETE_EX
  UMQRegistrationCompleteInfo::flags()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.MSG_UMQ_REGISTRATION_ERROR = 16
| static

UMQ receiver notification of registration error. Registration error information (in the form of a string) can be retrieved with the LBMMessage#dataString() method.

See also
  LBMMessage::dataString()

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.MSG_UNRECOVERABLE_LOSS = 4
| static

LBM message type: Missing message detected and not recovered in given time.

final int com.latencybusters.lbm.LBM.MSG_UNRECOVERABLE_LOSS_BURST = 5
| static

LBM message type: Missing burst of messages detected and not recovered.

int com.latencybusters.lbm.LBM.PROC_EVENT_EX_FLAG_NO_MAIN_LOOP_MUTEX = 0x0002
| static

User does not wish LBM to take locks in the main processing loop; specifically the context lock and timer lock.

int com.latencybusters.lbm.LBM.PROC_EVENT_EX_FLAG_USER_TIME = 0x0001
| static

User supplies a valid time of day.

Referenced by com.latencybusters.lbm.LBMContext.processEvents().

final int com.latencybusters.lbm.LBM.SRC_BLOCK = 0x20
| static

Block the caller indefinitely until the message is sent.

final int com.latencybusters.lbm.LBM.SRC_EVENT_CONNECT = 1
| static

Source event: For unicast transport, means receiver has connected.

final int com.latencybusters.lbm.LBM.SRC_EVENT_DAEMON_CONFIRM = 4
| static

Source event: For LBM daemon usage only, means daemon has confirmed src created

final int com.latencybusters.lbm.LBM.SRC_EVENT_DISCONNECT = 2
| static

Source event: For unicast transport, means receiver has disconnected.

final int com.latencybusters.lbm.LBM.SRC_EVENT_FLIGHT_SIZE_NOTIFICATION = 29
| static

Source event: flight size notification. The flightSizeNotification() method will return an info object containing additional information.

See also
  LBMSourceEvent::flightSizeNotification()

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_STATE_OVER = 0x1
| static

Messages in flight has exceeded the threshold.

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_STATE_UNDER = 0x2
| static

Messages in flight is now below the threshold.

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_ULB = 0x2
| static

Specifies a ULB flight size.

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_UME = 0x1
| static

Specifies a UME flight size.

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_FLIGHT_SIZE_NOTIFICATION_TYPE_UMQ = 0x3
| static

Specifies a UMQ flight size.

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_SEQUENCE_NUMBER_INFO = 15
| static

Source event: Informs the application of the sequence numbers used with a message. Event data holds sequence number data.

See also
  LBMSourceEventSequenceNumberInfo
  LBMSourceEvent::sequenceNumberInfo()

Since
  UME 2.0/LBM 3.3

final int com.latencybusters.lbm.LBM.SRC_EVENT_TIMESTAMP = 34
| static

Source event: Informs the application of the high-resolution timestamp of a sent message. Event data holds timestamp related information.

See also
  LBMSourceEventTimestampInfo
  LBMSourceEvent::timestampInfo()

Since
  UMS 6.9

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION = 8
| static

Source event: (UME only) UME Confirmed Delivery of Message from a receiver. Event data holds ACK information which includes the registration ID, the message sequence number, and the client object argument passed into the LBMSource.send() method.

See also
  LBMSource::send(byte[],int,int,Object)

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX = 14
| static

Source event: For UME only, means UME Confirmed Delivery of Message from receiver (extended form). Event data holds ACK information.

See also
  UMESourceEventDeliveryConfirmationInfo
  LBMSourceEvent::deliveryConfirmationInfo()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_EXACK = 0x8
| static

Confirmation received with Explicit ACK (EXACK) flagged.

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_OOD = 0x4
| static

Confirmation received with Out-of-Order Delivery (OOD) flagged.

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UNIQUEACKS = 0x1
| static

Confirmation received for specified number of unique ACKs.

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_UREGID = 0x2
| static

Confirmation received with User Specified Rcv Registration ID flagged.

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DELIVERY_CONFIRMATION_EX_FLAG_WHOLE_MESSAGE_CONFIRMED = 0x10
| static

Whole message (each fragment) delivery confirmed

Since
  UMP 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DEREGISTRATION_COMPLETE_EX = 32
| static

Source event: UME source notification of deregistration completion. Deregistration completion info (in the form of a UMESourceEventDeregistrationCompleteInfo object) can be retrieved with the LBMMessage#deregistrationCompleteInfo() method.

See also
  UMESourceEventDeregistrationCompleteInfo
  LBMMessage::deregistrationCompleteInfo()

Since
  UME 5.3

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_DEREGISTRATION_SUCCESS_EX = 31
| static

Source event: UME source deregistration successful (extended version). Deregistration info (in the form of a UMESourceEventDeregistrationSuccessInfo object) can be retrieved with the LBMMessage#deregistrationSuccessInfo() method.

See also
  UMESourceEventDeregistrationSuccessInfo
  LBMMessage::deregistrationSuccessInfo()

Since
  UME 5.3

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE = 33
| static

Source event: For UMP only, means a message is NOT stable, and the source has given up waiting for stability. Event data tells which store the message is not stable at and the reason the source gave up. Event data holds information about where and why the message is not stable.

See also
  UMESourceEventMessageStableInfo
  LBMSourceEvent::messageStableInfo()

Since
  UMP 6.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_LOSS = 0x40
| static

Message not stable due to explicitly reported unrecoverable loss at the store or receiver.

Since
  UMP 6.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_STORE = 0x8
| static

Message not stable information has store information

Since
  UMP 6.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_NOT_STABLE_FLAG_TIMEOUT = 0x80
| static

Message not stable due to stability lifetime timeout.

Since
  UMP 6.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_RECLAIMED = 10
| static

Source event: (UME only) Indicates that a message has been reclaimed. Event data holds the message sequence number and the client object argument passed into the LBMSource.send() method.

See also
  LBMSource::send(byte[],int,int,Object)

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_RECLAIMED_EX = 30
| static

Source event: Indicates that a message has been reclaimed (extended version). Event data holds ACK information.

See also
  LBMSource::send(byte[],int,int,Object)

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_RECLAIMED_EX_FLAG_FORCED = 0x1
| static

Reclaim notification is the result of a forced reclaim

Since
  UME 3.2

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE = 7
| static

Source event: (UME only) UME ACK from store indicates message is stable. Event data holds ACK information which includes the registration ID, the message sequence number, and the client object argument passed into the LBMSource.send() method.

See also
  LBMSource::send(byte[],int,int,Object)

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX = 13
| static

Source event: For UME only, means UME ACK from store indicates message is stable (extended form). Event data holds ACK information.

See also
  UMESourceEventMessageStableInfo
  LBMSourceEvent::messageStableInfo()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE = 0x2
| static

Message stable for intergroup stability

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE = 0x1
| static

Message stable for intragroup stability

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STABLE = 0x4
| static

Message is stable according to behavior desired

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_STORE = 0x8
| static

Message stable information has active store information

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_USER = 0x20
| static

Message stabilized via the setUMEMessageStable API

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_MESSAGE_STABLE_EX_FLAG_WHOLE_MESSAGE_STABLE = 0x10
| static

Whole message (each fragment) is stable

Since
  UME 3.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_COMPLETE_EX = 12
| static

Source event: (UME only) Registration of source complete. Data (in the form of a UMESourceEventRegistrationCompleteInfo object) can be retrieved with the LBMSourceEvent#registrationCompleteInfo() method.

See also
  UMESourceEventRegistrationCompleteInfo
  LBMSourceEvent::registrationCompleteInfo()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| static

Registration completed with only quorum reached.

See also
  LBM::SRC_EVENT_UME_REGISTRATION_COMPLETE_EX
  UMESourceEventRegistrationCompleteInfo::flags()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_ERROR = 5
| static

Source event: (UME only) Registration of source failed with an error. Event data holds the error string.

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS = 6
| static

Source event: (UME only) Registration of source successful. Event data holds the registration ID

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS_EX = 11
| static

Source event: (UME only) Registration of source successful (extended version). Data (in the form of a UMESourceEventRegistrationSuccessInfo object) can be retrieved with the LBMSourceEvent#registrationSuccessInfo() method.

See also
  UMESourceEventRegistrationSuccessInfo
  LBMSourceEvent::registrationSuccessInfo()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_NOACKS = 0x2
| static

Registration was flagged as coming from a store that is configured to not send ACKs for stability (no-cache store).

See also
  LBM::SRC_EVENT_UME_REGISTRATION_SUCCESS_EX
  UMESourceEventRegistrationSuccessInfo::flags()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_OLD = 0x1
| static

Registration was flagged as an old source by the store. An old source is one the store had cached.

See also
  LBM::SRC_EVENT_UME_REGISTRATION_SUCCESS_EX
  UMESourceEventRegistrationSuccessInfo::flags()

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_REGISTRATION_SUCCESS_EX_FLAG_RPP = 0x4
| static

Registration was flagged as coming from a store that allows and has accepted RPP persistent topics

See also
  LBM::SRC_EVENT_UME_REGISTRATION_SUCCESS_EX
  UMESourceEventRegistrationSuccessInfo::flags()

Since
  UME 5.3

final int com.latencybusters.lbm.LBM.SRC_EVENT_UME_STORE_UNRESPONSIVE = 9
| static

Source event: (UME only) Store has not been active within timeout. Event data holds an info string.

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_ID_INFO = 17
| static

Source event: For UMQ only, informs the application of the Message ID assigned with a message. The messageIdInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::messageIdInfo)

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_STABLE_EX = 19
| static

Source event: For UMQ only, means a message is stable with the a queue instance. The queueAckInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::queueAckInfo()

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTERGROUP_STABLE = 0x2
| static

Flag indicating that a message is stable across groups according to behavior desired.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_INTRAGROUP_STABLE = 0x1
| static

Flag indicating that a message is stable within a group.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_STABLE = 0x4
| static

Flag indicating that a message is stable according to behavior desired.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_MESSAGE_STABLE_EX_FLAG_USER = 0x8
| static

Message stabilized via the setUMQMessageStable API

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_REGISTRATION_COMPLETE_EX = 18
| static

Source event: For UMQ only, means registration of source complete. The queueRegistrationCompleteInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::queueRegistrationCompleteInfo()

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_REGISTRATION_COMPLETE_EX_FLAG_QUORUM = 0x1
| static

Flag indicating that registration completed with only quorum reached.

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_REGISTRATION_ERROR = 16
| static

Source event: For UMQ only, means registration of source failed with an error. The dataString() method will return the error message.

See also
  LBMSourceEvent::dataString()

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_ASSIGNED_EX = 20
| static

Source event: For UMQ only, means a ULB message has been assigned to a receiver. The ulbMessageInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbMessageInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_COMPLETE_EX = 23
| static

Source event: For UMQ only, means a ULB message has been consumed or discarded from all application sets. The ulbMessageInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbMessageInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_CONSUMED_EX = 24
| static

Source event: For UMQ only, means a ULB message has been consumed by a receiver. The ulbMessageInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbMessageInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_REASSIGNED_EX = 21
| static

Source event: For UMQ only, means a ULB message has been reassigned from a receiver. The ulbMessageInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbMessageInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX = 22
| static

Source event: For UMQ only, means a ULB message has been reached end-of-life. The ulbMessageInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbMessageInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_DISCARD = 0x4
| static

Timeout is the result of the reassign API being called with the DISCARD flag set

Since
  UMQ 2.2

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_EXPLICIT = 0x2
| static

Timeout is the result of the reassign API being called by a receiver

Since
  UMQ 2.2

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_MAX_REASSIGNS = 0x8
| static

Timeout is the result of hitting the umq_ulb_application_set_message_max_reassignments number of assignments

Since
  UMQ 2.2

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_MESSAGE_TIMEOUT_EX_FLAG_TOTAL_LIFETIME_EXPIRED = 0x1
| static

Timeout is the result of the total lifetime expiring

Since
  UMQ 2.2

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_DEREGISTRATION_EX = 26
| static

Source event: For UMQ only, means a receiver has deregistered from the source. The ulbReceiverInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbReceiverInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_READY_EX = 27
| static

Source event: For UMQ only, means a receiver has signalled it is ready for messages to be assigned to it. The ulbReceiverInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbReceiverInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_REGISTRATION_EX = 25
| static

Source event: For UMQ only, means a receiver has registered with the source. The ulbReceiverInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbReceiverInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_UMQ_ULB_RECEIVER_TIMEOUT_EX = 28
| static

Source event: For UMQ only, means a receiver has reached end-of-life. The ulbReceiverInfo() method will return an info object containing additional information.

See also
  LBMSourceEvent::ulbReceiverInfo()

Since
  UMQ 1.1

final int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP = 3
| static

Source event: Following earlier LBMEWouldBlockException, this event means that the source is ready for more sends.

See also
  LBMEWouldBlockException

final int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_MIM = 0x2
| static

Source wakeup event flag: Unblocked source is a context-level multicast immediate mode source.

See also
  LBMSourceEventWakeupInfo

final int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_NORMAL = 0x1
| static

Source wakeup event flag: Unblocked source is a normal (or hot failover) source.

See also
  LBMSourceEventWakeupInfo

final int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_REQUEST = 0x8
| static

Source wakeup event flag: Unblocked source is a context-level request source.

See also
  LBMSourceEventWakeupInfo

final int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_RESPONSE = 0x10
| static

Source wakeup event flag: Unblocked source is a context-level response source.

See also
  LBMSourceEventWakeupInfo

final int com.latencybusters.lbm.LBM.SRC_EVENT_WAKEUP_FLAG_UIM = 0x4
| static

Source wakeup event flag: Unblocked source is a context-level unicast immediate mode source.

See also
  LBMSourceEventWakeupInfo

final int com.latencybusters.lbm.LBM.SRC_NONBLOCK = 0x8
| static

If message could not be sent immediately, throw LBMEWouldBlockException

See also
  LBMEWouldBlockException

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_APPHDR_CHAIN = 0x8
| static

Send message with included application header chain.

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UMQ 1.1

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.setApplicationHeaderChain().

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_CHANNEL = 0x20
| static

Send message with included channel information.

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  LBM 3.6

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.setChannelInfo().

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_HF_32 = 0x400
| static

Send message with a 32 bit hot failover sequence number.

Since
  UMS 5.2.1

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_HF_64 = 0x800
| static

Send message with a 64 bit hot failover sequence number.

Since
  UMS 5.2.1

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_HF_OPTIONAL = 0x100
| static

Send message marked as an optional message for Hot Failover

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UMS 4.2

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_PROPERTIES = 0x200
| static

Send message with supplied properties

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UMS 5.1

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.getHfSequenceNumberBigInt(), and com.latencybusters.lbm.LBMSourceSendExInfo.setMessageProperties().

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO = 0x2
| static

Inform application of the sequence numbers used for message.

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY = 0x4
| static

Inform application of the sequence numbers used for message (fragmented messages only).

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_UMQ_INDEX = 0x40
| static

Send messages associating them with the supplied UMQ index

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UMQ 1.2

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.setIndexInfo().

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_UMQ_MESSAGE_ID_INFO = 0x10
| static

Inform application of the UMQ Message ID used for the message.

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UME 3.0

final int com.latencybusters.lbm.LBM.SRC_SEND_EX_FLAG_UMQ_TOTAL_LIFETIME = 0x80
| static

Send message with supplied total lifetime

See also
  LBMSource::send(byte[], int, int, LBMSourceSendExInfo)

Since
  UMQ 2.2

Referenced by com.latencybusters.lbm.LBMSourceSendExInfo.setTotalLifetimeInfo().

final int com.latencybusters.lbm.LBM.SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_QC = 0x1
| static

Quorum and Consensus store behaviour

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SRC_TOPIC_ATTR_UME_STORE_BEHAVIOR_RR = 0x0
| static

Round Robin store behaviour

Since
  UME 2.0

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_CHANNEL = 0x20
| static

Send messages using supplied Spectrum channel information.

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.setChannel().

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_PROPERTIES = 0x200
| static

Send message with the supplied messages properties.

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.setMessageProperties().

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_REBUILD_BUFFER = 0x1000
| static

Rebuild buffer before sending message.

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO = 0x2
| static

Inform application of the sequence numbers used for message.

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_SEQUENCE_NUMBER_INFO_FRAGONLY = 0x4
| static

Inform application of the sequence numbers used for message (fragmented messages only).

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UME 6.12

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_UME_CLIENTD = 0x1
| static

UMP client data pointer is valid.

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_UPDATE_CHANNEL = 0x2000
| static

Update Spectrum Channel number before sending message.

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_UPDATE_PROPERTY_VALUES = 0x4000
| static

Update message property values before sending message.

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11

final int com.latencybusters.lbm.LBM.SSRC_SEND_EX_FLAG_USER_SUPPLIED_BUFFER = 0x8000
| static

User buffer has been supplied

See also
  LBMSSource::send(byte[], int, int, LBMSSourceSendExInfo)

Since
  UM 6.11.1.2

Referenced by com.latencybusters.lbm.LBMSSourceSendExInfo.setUserSuppliedBuffer().

final int com.latencybusters.lbm.LBM.TOPIC_RES_REQUEST_ADVERTISEMENT = 4
| static

Request advertisements from quiescent sources.

final int com.latencybusters.lbm.LBM.TOPIC_RES_REQUEST_CONTEXT_ADVERTISEMENT = 16
| static

Request context advertisements from quiescent contexts.

final int com.latencybusters.lbm.LBM.TOPIC_RES_REQUEST_CONTEXT_QUERY = 32
| static

Request context queries from quiescent contexts.

final int com.latencybusters.lbm.LBM.TOPIC_RES_REQUEST_QUERY = 2
| static

Request queries from quiescent receivers.

final int com.latencybusters.lbm.LBM.TOPIC_RES_REQUEST_WILDCARD_QUERY = 1
| static

Request queries from quiescent wildcard receivers

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_BROKER = 0x80
| static

Transport statistics type: BROKER transport.

Referenced by com.latencybusters.lbm.LBMReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMSourceStatistics.retransmissionsQueued(), com.latencybusters.lbm.LBMSourceStatistics.typeName(), and com.latencybusters.lbm.LBMReceiverStatistics.typeName().

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_DAEMON = 0xFF
| static

Transport statistics type: Daemon is being used.

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_LBTIPC = 0x40
| static

Transport statistics type: LBT-IPC transport.

Referenced by com.latencybusters.lbm.LBMReceiverStatistics.LBMReceiverStatistics(), com.latencybusters.lbm.LBMSourceStatistics.LBMSourceStatistics(), com.latencybusters.lbm.LBMReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMSourceStatistics.retransmissionsQueued(), com.latencybusters.lbm.LBMSourceStatistics.typeName(), and com.latencybusters.lbm.LBMReceiverStatistics.typeName().

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_LBTRDMA = 0x20
| static

Transport statistics type: LBT-RDMA transport.

Referenced by com.latencybusters.lbm.LBMReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMSourceStatistics.retransmissionsQueued(), com.latencybusters.lbm.LBMSourceStatistics.typeName(), and com.latencybusters.lbm.LBMReceiverStatistics.typeName().

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_LBTRM = 0x10
| static

Transport statistics type: LBT-RM transport.

Referenced by com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.LBMImmediateMessageReceiverStatistics(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.LBMImmediateMessageSourceStatistics(), com.latencybusters.lbm.LBMReceiverStatistics.LBMReceiverStatistics(), com.latencybusters.lbm.LBMSourceStatistics.LBMSourceStatistics(), com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.retransmissionBytesSent(), com.latencybusters.lbm.LBMSourceStatistics.retransmissionsQueued(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.typeName(), com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.typeName(), com.latencybusters.lbm.LBMSourceStatistics.typeName(), and com.latencybusters.lbm.LBMReceiverStatistics.typeName().

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_LBTRU = 0x01
| static

Transport statistics type: LBT-RU transport.

Referenced by com.latencybusters.lbm.LBMReceiverStatistics.LBMReceiverStatistics(), com.latencybusters.lbm.LBMSourceStatistics.LBMSourceStatistics(), com.latencybusters.lbm.LBMReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMSourceStatistics.retransmissionsQueued(), com.latencybusters.lbm.LBMSourceStatistics.typeName(), and com.latencybusters.lbm.LBMReceiverStatistics.typeName().

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_LBTSMX = 0x4
| static

Transport statisitics type: LBT-SMX transport.

Referenced by com.latencybusters.lbm.LBMReceiverStatistics.LBMReceiverStatistics(), com.latencybusters.lbm.LBMSourceStatistics.LBMSourceStatistics(), com.latencybusters.lbm.LBMReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMSourceStatistics.retransmissionsQueued(), com.latencybusters.lbm.LBMSourceStatistics.typeName(), and com.latencybusters.lbm.LBMReceiverStatistics.typeName().

final int com.latencybusters.lbm.LBM.TRANSPORT_STAT_TCP = 0x00
| static

Transport statistics type: TCP transport.

Referenced by com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.LBMImmediateMessageReceiverStatistics(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.LBMImmediateMessageSourceStatistics(), com.latencybusters.lbm.LBMReceiverStatistics.LBMReceiverStatistics(), com.latencybusters.lbm.LBMSourceStatistics.LBMSourceStatistics(), com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMReceiverStatistics.outOfOrder(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.retransmissionBytesSent(), com.latencybusters.lbm.LBMSourceStatistics.retransmissionsQueued(), com.latencybusters.lbm.LBMImmediateMessageSourceStatistics.typeName(), com.latencybusters.lbm.LBMImmediateMessageReceiverStatistics.typeName(), com.latencybusters.lbm.LBMSourceStatistics.typeName(), and com.latencybusters.lbm.LBMReceiverStatistics.typeName().

final int com.latencybusters.lbm.LBM.UME_MAX_STORE_STRLEN = 24
| static

Maximum UME store length.

final int com.latencybusters.lbm.LBM.UME_RCV_RECOVERY_INFO_EX_FLAG_SRC_SID = 0x1
| static

The source session ID field in the UME receiver recovery sequence number info object is valid.

See also
  UMERecoverySequenceNumberCallbackInfo::flags()

Since
  UMP 6.7

final int com.latencybusters.lbm.LBM.UMQ_INDEX_FLAG_NUMERIC = 0x1
| static

UMQIndexInfo flag. Index is a 64-bit integer.

See also
  UMQIndexInfo
  UMQIndexInfo::flags()
  UMQIndexInfo::setFlags(int flags)

Since
  UMQ 1.2

Referenced by com.latencybusters.lbm.UMQIndexInfo.index(), com.latencybusters.lbm.UMQIndexInfo.indexLength(), com.latencybusters.lbm.LBMWildcardReceiver.indexRelease(), com.latencybusters.lbm.UMQIndexInfo.numericIndex(), com.latencybusters.lbm.LBMMessage.queueIndexInfo(), com.latencybusters.lbm.UMQIndexInfo.setIndex(), and com.latencybusters.lbm.UMQIndexInfo.setNumericIndex().

final int com.latencybusters.lbm.LBM.UMQ_MAX_APPSET_STRLEN = 256
| static

Maximum UMQ queue appset name length.

final int com.latencybusters.lbm.LBM.UMQ_MAX_INDEX_LEN = 216
| static

Maximum UMQ index length.

Referenced by com.latencybusters.lbm.UMQIndexInfo.setIndex().

final int com.latencybusters.lbm.LBM.UMQ_MAX_QUEUE_STRLEN = 256
| static

Maximum UMQ queue length.

final int com.latencybusters.lbm.LBM.UMQ_MAX_TOPIC_STRLEN = 256
| static

Maximum UMQ queue topic name length.

final int com.latencybusters.lbm.LBM.UMQ_QUEUE_MSG_STATUS_ASSIGNED = 2
| static

Queue message status; message is currently assigned to a receiver but not yet consumed.

final int com.latencybusters.lbm.LBM.UMQ_QUEUE_MSG_STATUS_CONSUMED = 4
| static

Queue message status; message has been fully consumed and is no longer present in the queue.

final int com.latencybusters.lbm.LBM.UMQ_QUEUE_MSG_STATUS_REASSIGNING = 3
| static

Queue message status; message is waiting to be re-assigned to a different receiver.

final int com.latencybusters.lbm.LBM.UMQ_QUEUE_MSG_STATUS_UNASSIGNED = 1
| static

Queue message status; message is currently enqueued but not yet assigned.

final int com.latencybusters.lbm.LBM.UMQ_QUEUE_MSG_STATUS_UNKNOWN = 0
| static

Queue message status; queue has no knowledge of the message.

final int com.latencybusters.lbm.LBM.UMQ_ULB_MAX_RECEIVER_STRLEN = 32
| static

Maximum UMQ ULB receiver length.

final int com.latencybusters.lbm.LBM.WILDCARD_RCV_PATTERN_TYPE_APP_CB = 3
| static

Wildcard receiver pattern type: callback

final int com.latencybusters.lbm.LBM.WILDCARD_RCV_PATTERN_TYPE_PCRE = 1
| static

Wildcard receiver pattern type: PCRE (Perl Compatible Regular Expressions)

final int com.latencybusters.lbm.LBM.WILDCARD_RCV_PATTERN_TYPE_REGEX = 2
| static

Wildcard receiver pattern type: POSIX regex

The documentation for this class was generated from the following file:

- LBM.java